{% extends 'layout/basic.html' %}

{% block title %}
    Добваление объявления
{% endblock %}


{#{% block content %}#}
{#    <h1>Добавление объявления</h1>#}
{#    <form {% if form.is_multipart %} enctype="multipart/form-data"{% endif %} action="{% url 'add' %}" method="post"> <!-- multipart/form-data нужен, если форма отправляет файлы -->#}
{#        {% csrf_token %}#}
{#        <table>#}
{#            {{ form.as_table }} <!-- as_p само подставляет labels и input поля красиво и на отдельные абзацы-->#}
{#        </table>#}
{#        <input type="submit" value="Добавить">#}
{#    </form>#}
{#{% endblock %}#}

{% block content %}
    <form action="{% url 'formset' %}" method="post">
        {% csrf_token %}
        {{ form.management_form }}
        {% if form.non_form_errors %}
            <ul>
                {% for error in form.non_form_errors %}
                    <li><em>{{ error|escape }} </em></li>
                {% endfor %}
            </ul>
        {% endif %}
        {% for current_form in form %}
            {% for hidden in current_form.hidden_fields %}
                {{ hidden }}
            {% endfor %}
            {% if current_form.non_field_errors %}
                <ul>
                    {% for error in current_form.non_field_errors %}
                        <li><em>{{ error|escape }}</em></li>
                    {% endfor %}
                </ul>
            {% endif %}
            {% for field in current_form.visible_fields %}
                {% if field.errors %}
                    <ul>
                        {% for error in field.errors %}
                            <li><em>{{ error|escape }}</em></li>
                        {% endfor %}
                    </ul>
                    <p>{{ field.label }}<br>{{ field }}<br>{{ field.help_text }}</p>
                {% endif %}
            {% endfor %}




        {% endfor %}

        {{ form.as_p }}
        <input type="submit" value="Сохранить">
    </form>
{% endblock %}